Page MenuHomePhabricator

decommission restbase10(0[7-9]|1[0-5])
Closed, ResolvedPublicRequest

Description

Filing the actual decom task for these samsung ssd equipped servers, see also T223976: Decommission restbase10(0[7-9]|1[0-5]) and T208087: Replace remaining Samsung SSDs

restbase1007.eqiad.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system)
  • - unassign service owner from this task, check off completed steps, and assign to @RobH for followup on below steps.

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

End non-interrupt steps.

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and change status of hardware to 'offline' when unracked.
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

restbase1008.eqiad.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system)
  • - unassign service owner from this task, check off completed steps, and assign to @RobH for followup on below steps.

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

End non-interrupt steps.

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and change status of hardware to 'offline' when unracked.
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

restbase1009.eqiad.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system)
  • - unassign service owner from this task, check off completed steps, and assign to @RobH for followup on below steps.

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

End non-interrupt steps.

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and change status of hardware to 'offline' when unracked.
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

restbase1010.eqiad.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system)
  • - unassign service owner from this task, check off completed steps, and assign to @RobH for followup on below steps.

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

End non-interrupt steps.

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and change status of hardware to 'offline' when unracked.
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

restbase1011.eqiad.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system)
  • - unassign service owner from this task, check off completed steps, and assign to @RobH for followup on below steps.

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

End non-interrupt steps.

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and change status of hardware to 'offline' when unracked.
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

restbase1012.eqiad.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system)
  • - unassign service owner from this task, check off completed steps, and assign to @RobH for followup on below steps.

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

End non-interrupt steps.

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and change status of hardware to 'offline' when unracked.
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

restbase1013.eqiad.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system)
  • - unassign service owner from this task, check off completed steps, and assign to @RobH for followup on below steps.

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

End non-interrupt steps.

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and change status of hardware to 'offline' when unracked.
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

restbase1014.eqiad.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system)
  • - unassign service owner from this task, check off completed steps, and assign to @RobH for followup on below steps.

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

End non-interrupt steps.

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and change status of hardware to 'offline' when unracked.
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

restbase1015.eqiad.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system)
  • - unassign service owner from this task, check off completed steps, and assign to @RobH for followup on below steps.

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

End non-interrupt steps.

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and change status of hardware to 'offline' when unracked.
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Details

Related Gerrit Patches:

Event Timeline

Dzahn added a subscriber: Dzahn.EditedJul 22 2019, 10:39 PM

restbase1007.mgmt is alerting in Icinga but this ticket says restbase1007 was done.

https://icinga.wikimedia.org/cgi-bin/icinga/extinfo.cgi?type=2&host=restbase1007.mgmt&service=SSH+restbase1007.mgmt

ACKed

RobH added a comment.Jul 25 2019, 7:02 PM

Network port info:

restbase1007 asw2-a-eqiad:ge-4/0/30
restbase1010 asw2-a-eqiad:ge-3/0/16
restbase1011 asw2-a-eqiad:ge-3/0/17

restbase1012 asw2-c-eqiad:ge-4/0/28
restbase1013 asw2-c-eqiad:ge-4/0/29
restbase1008 asw2-c-eqiad:ge-5/0/31

restbase1014 asw2-d-eqiad:ge-4/0/20
restbase1015 asw2-d-eqiad:ge-4/0/21
restbase1009 asw2-d-eqiad:ge-3/0/26

cookbooks.sre.hosts.decommission executed by robh@cumin1001 for hosts: restbase[1007-1009].eqiad.wmnet

  • restbase1008.eqiad.wmnet
    • Removed from Puppet master and PuppetDB
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Removed from DebMonitor
  • restbase1009.eqiad.wmnet
    • Removed from Puppet master and PuppetDB
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Removed from DebMonitor
  • restbase1007.eqiad.wmnet
    • Removed from Puppet master and PuppetDB
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Removed from DebMonitor

cookbooks.sre.hosts.decommission executed by robh@cumin1001 for hosts: restbase[1010-1015].eqiad.wmnet

  • restbase1010.eqiad.wmnet
    • Removed from Puppet master and PuppetDB
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Removed from DebMonitor
  • restbase1015.eqiad.wmnet
    • Removed from Puppet master and PuppetDB
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Removed from DebMonitor
  • restbase1011.eqiad.wmnet
    • Removed from Puppet master and PuppetDB
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Removed from DebMonitor
  • restbase1012.eqiad.wmnet
    • Removed from Puppet master and PuppetDB
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Removed from DebMonitor
  • restbase1013.eqiad.wmnet
    • Removed from Puppet master and PuppetDB
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Removed from DebMonitor
  • restbase1014.eqiad.wmnet
    • Removed from Puppet master and PuppetDB
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Removed from DebMonitor
RobH updated the task description. (Show Details)Jul 25 2019, 7:05 PM

Change 525627 had a related patch set uploaded (by RobH; owner: RobH):
[operations/dns@master] decom restbase10(0[7-9]|1[0-5]) prod dns

https://gerrit.wikimedia.org/r/525627

Change 525628 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] decom restbase10(0[7-9]|1[0-5])

https://gerrit.wikimedia.org/r/525628

Change 525627 merged by RobH:
[operations/dns@master] decom restbase10(0[7-9]|1[0-5]) prod dns

https://gerrit.wikimedia.org/r/525627

Change 525628 merged by RobH:
[operations/puppet@production] decom restbase10(0[7-9]|1[0-5])

https://gerrit.wikimedia.org/r/525628

RobH updated the task description. (Show Details)Jul 25 2019, 7:14 PM
RobH edited projects, added ops-eqiad; removed Patch-For-Review.
Restricted Application added a project: Operations. · View Herald TranscriptJul 25 2019, 7:14 PM
RobH removed RobH as the assignee of this task.Jul 25 2019, 7:15 PM
RobH moved this task from Backlog to Decommission on the ops-eqiad board.

@Jclark-ctr wipe, remove the servers, update netbox and the google sheet. Please assign back to me once everything is complete

Papaul added a subscriber: Papaul.Oct 8 2019, 12:54 AM
papaul@asw2-a-eqiad# show | compare 
[edit interfaces]
-   ge-3/0/16 {
-       description "restbase1010 1G";
-   }
-   ge-3/0/17 {
-       description "restbase1011 1G";
-   }
Papaul updated the task description. (Show Details)Oct 8 2019, 12:55 AM
Papaul updated the task description. (Show Details)Oct 8 2019, 12:58 AM
Papaul updated the task description. (Show Details)Oct 8 2019, 3:21 AM
papaul@asw2-a-eqiad# show | compare 
[edit interfaces]
-   ge-4/0/30 {
-       description restbase1007;
-   }
Jclark-ctr updated the task description. (Show Details)Oct 11 2019, 10:41 PM
papaul@asw2-c-eqiad# show | compare 
[edit interfaces]
-   ge-4/0/28 {
-       description restbase1012;
-   }
-   ge-4/0/29 {
-       description restbase1013;
-   }
-   ge-5/0/31 {
-       description restbase1008;
-   }
papaul@asw2-d-eqiad# show | compare        
[edit interfaces ge-3/0/26]
-   description restbase1009;
[edit interfaces ge-4/0/20]
-   description restbase1014;
[edit interfaces ge-4/0/21]
-   description restbase1015;
Papaul updated the task description. (Show Details)Oct 15 2019, 8:39 PM

Change 543222 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for restbase100[7-9] and restbase101[0-5]

https://gerrit.wikimedia.org/r/543222

Change 543222 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt DNS for restbase100[7-9] and restbase101[0-5]

https://gerrit.wikimedia.org/r/543222

Papaul closed this task as Resolved.Oct 15 2019, 10:31 PM
Papaul updated the task description. (Show Details)

complete